resource "aws_eip" "sigma_eip" {
  instance = aws_instance.sigma.id
  vpc = true
  tags = {
    Name = "Sigma(Web Load Balancer) EIP"
  }
}

# It's important to note that this instance is not going to up all the time
resource "aws_eip" "gamma_eip" {
  instance = aws_instance.gamma.id
  vpc = true
  tags = {
    Name = "Ansible host Elastic IP"
  }
}

# This EIP is reserved for the NAT gateway which lives in Olympus
resource "aws_eip" "demeter_eip" {
  vpc = true
  tags = {
    Name = "NAT Gateway EIP"
  }
}

